<md-card>
  <div fxLayout="column">

    <div *ngFor="let item of updatedDailyOrders.summary">
      <div *ngIf="item.foodType === 'MAIN'">
        <div fxLayout="row">
          <div fxFlex="40%" class="food-heading print-type">
            <span>{{foodTypes[item.foodType]}}</span>
          </div>
          <div fxFlex="10%" class="food-heading food-heading-text-center food-heading-qty">
            <span>QTY.</span>
          </div>
          <div fxFlex="25%" class="food-heading food-align-right">
            <span>Price</span>
          </div>
          <div fxFlex="25%" class="food-heading food-align-right">
            <span>Total</span>
          </div>
        </div>
        <div class="foodlist">
          <div *ngFor="let foodDetails of getMainFoodsOrdersDetails()">
            <div fxLayout="row" class="print-food">
              <div fxFlex="45%" class="food">
                <span>{{foodDetails.foodItem.name}}</span>
              </div>
              <div fxFlex="5%" class="quantity ">
                <span>{{foodDetails.quantity}}</span>
              </div>
              <div fxFlex="25%" class="food food-align-right ">
                <span>{{foodDetails.foodItem.price}}
                  <span [innerHTML]="globalSettingsService.getCurrency() | async"></span></span>
              </div>
              <div fxFlex="25%" class="food food-align-right ">

                <span>{{foodDetails.quantity * foodDetails.foodItem.price | number:'1.2' }}
                <span [innerHTML]="globalSettingsService.getCurrency() | async"></span>
                </span>
              </div>
              <br>
            </div>
          </div>
        </div>
      </div>

      <div *ngIf="item.foodType === 'SALAD'">
        <div fxLayout="row">
          <div fxFlex="25%" class="food-heading">
            <span>{{foodTypes[item.foodType]}}</span>
          </div>
        </div>
        <div class="foodlist">
          <div *ngFor="let foodDetails of getSaladFoodsOrdersDetails()">
            <div fxLayout="row" class="print-food">
              <div fxFlex="45%" class="food">
                <span>{{foodDetails.foodItem.name}}</span>
              </div>
              <div fxFlex="5%" class="quantity ">
                <span>{{foodDetails.quantity}}</span>
              </div>
              <div fxFlex="25%" class="food food-align-right ">
                <span>{{foodDetails.foodItem.price}}
                  <span [innerHTML]="globalSettingsService.getCurrency() | async"></span></span>
              </div>
              <div fxFlex="25%" class="food food-align-right ">

                <span>{{foodDetails.quantity * foodDetails.foodItem.price | number:'1.2' }}
                <span [innerHTML]="globalSettingsService.getCurrency() | async"></span>
                </span>
              </div>
              <br>
            </div>
          </div>
        </div>
      </div>


      <div *ngIf="item.foodType === 'DRINK'">
        <div fxLayout="row">
          <div fxFlex="25%" class="food-heading">
            <span>{{foodTypes[item.foodType]}}</span>
          </div>
        </div>
        <div class="foodlist">
          <div *ngFor="let foodDetails of getDrinksOrdersDetails()">
            <div fxLayout="row" class="print-food">
              <div fxFlex="45%" class="food">
                <span>{{foodDetails.foodItem.name}}</span>
              </div>
              <div fxFlex="5%" class="quantity ">
                <span>{{foodDetails.quantity}}</span>
              </div>
              <div fxFlex="25%" class="food food-align-right ">
                <span>{{foodDetails.foodItem.price}}
                  <span [innerHTML]="globalSettingsService.getCurrency() | async"></span></span>
              </div>
              <div fxFlex="25%" class="food food-align-right ">

                <span>{{foodDetails.quantity * foodDetails.foodItem.price | number:'1.2' }}
                <span [innerHTML]="globalSettingsService.getCurrency() | async"></span>
                </span>
              </div>
              <br>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div fxLayout="row" fxLayoutAlign="end">
      <div class="total">
        <span>Total:</span>
        <span class="food-align-right"> {{updatedDailyOrders.total | number:'1.2-2'}}
          <span [innerHTML]="globalSettingsService.getCurrency() | async"></span>
        </span>
      </div>
    </div>
  </div>
</md-card>
